LibreOffice LibreOffice 4.2 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
osl::DirectoryCreationObserver Class Referenceabstract

Base class for observers of directory creation notifications. More...

`#include <file.hxx>`

## Public Member Functions
virtual | ~DirectoryCreationObserver ()
virtual void | DirectoryCreated (const rtl::OUString &aDirectoryUrl)=0
| This method will be called when a new directory has been created and needs to be overwritten by derived classes. More...

## Detailed Description

Base class for observers of directory creation notifications.

Clients which uses the method createDirectoryPath of the class Directory may want to be informed about the directories that have been created. This may be accomplished by deriving from this base class and overwriting the virtual function DirectoryCreated.

See Also
  Directory::createPath

## Constructor & Destructor Documentation

virtual osl::DirectoryCreationObserver::~DirectoryCreationObserver | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void osl::DirectoryCreationObserver::DirectoryCreated | ( | const rtl::OUString & | aDirectoryUrl | ) |
| pure virtual

This method will be called when a new directory has been created and needs to be overwritten by derived classes.

You must not delete the directory that was just created otherwise you will run into an endless loop.

Parameters

  aDirectoryUrl | [in]The absolute file URL of the directory that was just created by osl::Directory::createPath.

The documentation for this class was generated from the following file:

- osl/file.hxx